Bug 222974 - Crashes while overwriting file [QString::operator==, KDirWatchPrivate::Entry::findSubEntry, KDirWatchPrivate::inotifyEventReceived]
Summary: Crashes while overwriting file [QString::operator==, KDirWatchPrivate::Entry:...
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdecore (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 221063 227587 228538 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-01-16 14:25 UTC by Hanno
Modified: 2018-08-28 13:12 UTC (History)
51 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno 2010-01-16 14:25:24 UTC
Application: digikam (1.0.0)
KDE Platform Version: 4.3.90 (KDE 4.3.90 (KDE 4.4 RC1)) "release 2"
Qt Version: 4.6.1
Operating System: Linux 2.6.31.8-0.1-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

-- Information about the crash:
I modify a few photos and overwrite the files with the changes. After the 2nd or 3rd photo I have edited, digikam crashes. This is reproducable.
It does not happen with the batch que manager

The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f333b545860 (LWP 5629))]

Thread 21 (Thread 0x7f332857c910 (LWP 5630)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006c7cc3 in Digikam::ScanController::run (this=0xc598b0) at /usr/src/debug/digikam-1.0.0/digikam/scancontroller.cpp:499
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xc598b0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f3324ef0910 (LWP 5632)):
#0  0x00007f3333aed2ae in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f332f38a57f in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f332f38a8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3335b2a836 in QEventDispatcherGlib::processEvents (this=0xcbb770, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f3335affb72 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f3335afff4c in QEventLoop::exec (this=0x7f3324eeff30, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f3335a0b9a9 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xcbe730) at thread/qthread_unix.cpp:248
#8  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#9  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f33239e8910 (LWP 5633)):
#0  0x00007f3333aed2ae in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f332f389fbe in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f332f38a3a1 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f332f38a8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f3335b2a836 in QEventDispatcherGlib::processEvents (this=0xd9d730, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f3335affb72 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f3335afff4c in QEventLoop::exec (this=0x7f33239e7f30, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f3335a0b9a9 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xbfe1e0) at thread/qthread_unix.cpp:248
#9  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#10 0x00007f3334f9114d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f33231b4910 (LWP 5634)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0xeadec0) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xeadec0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f33229b3910 (LWP 5635)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f33229b2c10 in ?? ()
#2  0x00007fff351ff782 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 16 (Thread 0x7f33221b2910 (LWP 5636)):
#0  0x00007f3333aeec71 in pthread_getspecific () from /lib64/libpthread.so.0
#1  0x00007f332f3aef69 in g_thread_self () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f332f388a70 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f332f38a322 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f332f38a8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f3335b2a836 in QEventDispatcherGlib::processEvents (this=0xdccb70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007f3335affb72 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f3335afff4c in QEventLoop::exec (this=0x7f33221b1f30, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f3335a0b9a9 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xca4690) at thread/qthread_unix.cpp:248
#10 0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#11 0x00007f3334f9114d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f33219b1910 (LWP 5637)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0xc83cc0) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0xc83cc0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f3319301910 (LWP 5638)):
#0  0x00007f3333aee2cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f331f211621 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f33171c3910 (LWP 5639)):
#0  0x00007f3333aee2cd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f331f21ce19 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f331f21f581 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#4  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f33169c2910 (LWP 5640)):
#0  0x00007f3334f88033 in poll () from /lib64/libc.so.6
#1  0x00007f332f38a58c in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f332f38a8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3335b2a836 in QEventDispatcherGlib::processEvents (this=0x16ec640, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f3335affb72 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f3335afff4c in QEventLoop::exec (this=0x7f33169c1ed0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f3335a0b9a9 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f331f46d3b6 in Phonon::Xine::XineThread::run (this=0x16ebfc0) at /usr/src/debug/phonon-4.3.80/xine/xinethread.cpp:143
#8  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x16ebfc0) at thread/qthread_unix.cpp:248
#9  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#10 0x00007f3334f9114d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f3315fb7910 (LWP 5643)):
#0  0x00007f3334f88033 in poll () from /lib64/libc.so.6
#1  0x00007f3315fbdc4e in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f33157b6910 (LWP 5644)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f331f222673 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#3  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f33134e8910 (LWP 5645)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x198f280) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x198f280) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f33124e6910 (LWP 5652)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x2a84650) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x2a84650) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f3312ce7910 (LWP 5653)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x2d41aa0) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x2d41aa0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f33112a5910 (LWP 5689)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000005ad929 in Digikam::ActionThread::run (this=0x33d0ba0) at /usr/src/debug/digikam-1.0.0/utilities/queuemanager/actionthread.cpp:155
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x33d0ba0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f3301159910 (LWP 5848)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x674fd00) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x674fd00) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f3311aa6910 (LWP 5849)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x674ff90) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x674ff90) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3300801910 (LWP 5850)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x685c1d0) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x685c1d0) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f32ff275910 (LWP 5851)):
#0  0x00007f3333aee049 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3335a0f37b in wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=<value optimized out>, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f3338a3a132 in Digikam::LoadSaveThread::run (this=0x6f1c430) at /usr/src/debug/digikam-1.0.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f3335a0e3c5 in QThreadPrivate::start (arg=0x6f1c430) at thread/qthread_unix.cpp:248
#5  0x00007f3333ae965d in start_thread () from /lib64/libpthread.so.0
#6  0x00007f3334f9114d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f333b545860 (LWP 5629)):
[KCrash Handler]
#5  0x00007f3335a50446 in QString::operator== (this=0x74c43a0, other=...) at tools/qstring.cpp:2060
#6  0x00007f3337b2b10b in findSubEntry (path=<value optimized out>, this=<value optimized out>) at /usr/src/debug/kdelibs-4.3.87svn1070744/kio/kio/kdirwatch_p.h:161
#7  KDirWatchPrivate::inotifyEventReceived (path=<value optimized out>, this=<value optimized out>) at /usr/src/debug/kdelibs-4.3.87svn1070744/kio/kio/kdirwatch.cpp:309
#8  0x00007f3337b2e534 in KDirWatchPrivate::qt_metacall (this=0xd71310, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff351e1190)
    at /usr/src/debug/kdelibs-4.3.87svn1070744/build/kio/kdirwatch_p.moc:83
#9  0x00007f3335b1403f in QMetaObject::activate (sender=0xd2dde0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x72cee20) at kernel/qobject.cpp:3267
#10 0x00007f3335b6055e in QSocketNotifier::activated (this=0x74c43a0, _t1=15) at .moc/release-shared/moc_qsocketnotifier.cpp:89
#11 0x00007f3335b1b173 in QSocketNotifier::event (this=0xd2dde0, e=0x7fff351e1840) at kernel/qsocketnotifier.cpp:317
#12 0x00007f33366dd7ec in QApplicationPrivate::notify_helper (this=0xace9a0, receiver=0xd2dde0, e=0x7fff351e1840) at kernel/qapplication.cpp:4297
#13 0x00007f33366e3dcb in QApplication::notify (this=0x7fff351e1b70, receiver=0xd2dde0, e=0x7fff351e1840) at kernel/qapplication.cpp:4180
#14 0x00007f33375eb056 in KApplication::notify (this=0x7fff351e1b70, receiver=0xd2dde0, event=0x7fff351e1840) at /usr/src/debug/kdelibs-4.3.87svn1070744/kdeui/kernel/kapplication.cpp:302
#15 0x00007f3335b0125c in QCoreApplication::notifyInternal (this=0x7fff351e1b70, receiver=0xd2dde0, event=0x7fff351e1840) at kernel/qcoreapplication.cpp:704
#16 0x00007f3335b2ab9a in sendEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qcoreapplication.h:215
#17 socketNotifierSourceDispatch (event=<value optimized out>, receiver=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:110
#18 0x00007f332f386dde in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#19 0x00007f332f38a7a8 in ?? () from /usr/lib64/libglib-2.0.so.0
#20 0x00007f332f38a8d0 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#21 0x00007f3335b2a7e3 in QEventDispatcherGlib::processEvents (this=0xa92b30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#22 0x00007f333678b7ee in QGuiEventDispatcherGlib::processEvents (this=0x74c43a0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x00007f3335affb72 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#24 0x00007f3335afff4c in QEventLoop::exec (this=0x7fff351e1aa0, flags=) at kernel/qeventloop.cpp:201
#25 0x00007f3335b03c9b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#26 0x000000000076579b in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/digikam-1.0.0/digikam/main.cpp:195

This bug may be a duplicate of or related to bug 222213.

Possible duplicates by query: bug 222213, bug 216914, bug 216782.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-01-16 19:31:13 UTC
KDirwatch crash. Re-assigned.

Gilles Caulier
Comment 2 Christoph Feck 2010-01-18 00:56:53 UTC
*** Bug 222213 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2010-01-18 01:36:04 UTC
Likely to be bug 165548? Regards
Comment 4 Christoph Feck 2010-01-18 02:20:46 UTC
No, this one crashes in findSubEntry(). And don't disillusion me... ;)
Comment 5 Christoph Feck 2010-01-18 09:52:55 UTC
Unfortunately, you are right... *disillusion crash*

But at least it gives a better hint where it crashes, all other backtraces have findSubEntry inlined, but the crash happens there, i.e. we have an invalid entry in the list (deleted, but not removed from the list?)

*** This bug has been marked as a duplicate of bug 165548 ***
Comment 6 Hanno 2010-01-19 02:24:31 UTC
with the latest weekly kde packages from opensuse 11.2 the crash does not occur anymore for me
Comment 7 Christoph Feck 2010-01-19 02:39:34 UTC
Hanno, thanks for the info, but the bug has not been fixed yet.

@Caulier, it looks like KDirWatch and all classes that use it (KDirLister, KBookmarkManager, maybe even some KIO jobs) are not thread safe.

Could you please check if you avoid using such classes outside the main thread? It is okay to signal a different thread about file notification, but the adding/removing of watched URLs should be done in main thread.
Comment 8 caulier.gilles 2010-01-19 08:37:48 UTC
Marcel, 

Do you see comment #7 ?

Gilles
Comment 9 Marcel Wiesweg 2010-01-20 18:10:22 UTC
Yes we channel access to main thread only. I think KDirWatch crashes soon if accessed from different threads anyway.
Comment 10 Dario Andres 2010-01-20 21:30:25 UTC
*** Bug 223617 has been marked as a duplicate of this bug. ***
Comment 11 Dario Andres 2010-01-30 23:50:24 UTC
According to bug 224588, this seems to have appeared on 4.3.5 too. May be some kind of regression was backported?
Bug 165548 got several duplicates lately...
Comment 12 Dario Andres 2010-01-30 23:50:37 UTC
*** Bug 224588 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2010-01-31 13:02:44 UTC
*** Bug 224994 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2010-02-01 22:21:14 UTC
*** Bug 225180 has been marked as a duplicate of this bug. ***
Comment 15 Dario Andres 2010-02-02 19:41:28 UTC
*** Bug 225232 has been marked as a duplicate of this bug. ***
Comment 16 Johannes Wienke 2010-02-07 12:24:14 UTC
*** Bug 225810 has been marked as a duplicate of this bug. ***
Comment 17 Johannes Wienke 2010-02-07 12:26:56 UTC
*** Bug 225821 has been marked as a duplicate of this bug. ***
Comment 18 caulier.gilles 2010-02-11 23:36:54 UTC
*** Bug 226418 has been marked as a duplicate of this bug. ***
Comment 19 caulier.gilles 2010-02-12 08:07:23 UTC
*** Bug 226457 has been marked as a duplicate of this bug. ***
Comment 20 caulier.gilles 2010-02-12 08:13:17 UTC
*** Bug 225076 has been marked as a duplicate of this bug. ***
Comment 21 caulier.gilles 2010-02-15 14:40:58 UTC
*** Bug 226998 has been marked as a duplicate of this bug. ***
Comment 22 Dario Andres 2010-02-15 15:38:52 UTC
*** Bug 226734 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2010-02-15 23:32:42 UTC
SVN commit 1090729 by dfaure:

Fix the "kdirwatch crash on re-entrancy from the slots" by emitting the signals
in a delayed manner.
Fixed for: 4.4.1
BUG: 224229 208486 226674 222547


 M  +21 -9     kdirwatch.cpp  
 M  +20 -16    kdirwatch.h  
 M  +2 -0      kdirwatch_p.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1090729
Comment 24 Dario Andres 2010-02-15 23:39:29 UTC

*** This bug has been marked as a duplicate of bug 224229 ***
Comment 25 Dario Andres 2010-02-15 23:44:26 UTC
*** Bug 204178 has been marked as a duplicate of this bug. ***
Comment 26 Dario Andres 2010-02-16 01:09:09 UTC
Mh, it seems this is not fixed yet.. :-\
Comment 27 caulier.gilles 2010-02-17 17:38:21 UTC
*** Bug 227390 has been marked as a duplicate of this bug. ***
Comment 28 David Faure 2010-02-17 23:25:21 UTC
SVN commit 1091941 by dfaure:

Backport r1091923: Fix the findSubEntry crash when saving over a watched file
(see the 10-line explanation at the top of testMoveTo())
and improve the unittests for kdirwatch.
Fixed for: 4.4.1
BUG: 222974


 M  +10 -1     kio/kdirwatch.cpp  
 M  +1 -0      kio/kdirwatch_p.h  
 M  +257 -49   tests/kdirwatch_unittest.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1091941
Comment 29 David Faure 2010-02-17 23:33:10 UTC
*** Bug 221063 has been marked as a duplicate of this bug. ***
Comment 30 Dario Andres 2010-02-19 23:29:33 UTC
*** Bug 227587 has been marked as a duplicate of this bug. ***
Comment 31 Dario Andres 2010-02-20 03:40:33 UTC
*** Bug 227513 has been marked as a duplicate of this bug. ***
Comment 32 Johannes Wienke 2010-02-20 17:07:56 UTC
*** Bug 227828 has been marked as a duplicate of this bug. ***
Comment 33 caulier.gilles 2010-02-21 10:53:01 UTC
*** Bug 227903 has been marked as a duplicate of this bug. ***
Comment 34 caulier.gilles 2010-02-21 19:14:28 UTC
*** Bug 227957 has been marked as a duplicate of this bug. ***
Comment 35 Johannes Wienke 2010-02-22 21:57:26 UTC
*** Bug 228109 has been marked as a duplicate of this bug. ***
Comment 36 Michel Ludwig 2010-02-25 23:15:20 UTC
*** Bug 228538 has been marked as a duplicate of this bug. ***
Comment 37 Johannes Wienke 2010-02-26 10:17:48 UTC
*** Bug 228562 has been marked as a duplicate of this bug. ***
Comment 38 caulier.gilles 2010-02-27 08:46:57 UTC
*** Bug 228701 has been marked as a duplicate of this bug. ***
Comment 39 caulier.gilles 2010-03-02 09:42:09 UTC
*** Bug 229069 has been marked as a duplicate of this bug. ***
Comment 40 Johannes Wienke 2010-03-20 11:05:06 UTC
*** Bug 231396 has been marked as a duplicate of this bug. ***
Comment 41 Johannes Wienke 2010-03-26 21:45:01 UTC
*** Bug 232268 has been marked as a duplicate of this bug. ***
Comment 42 Johannes Wienke 2010-03-26 21:45:58 UTC
*** Bug 232271 has been marked as a duplicate of this bug. ***
Comment 43 Dario Andres 2010-04-03 03:08:53 UTC
*** Bug 233116 has been marked as a duplicate of this bug. ***
Comment 44 Johannes Wienke 2010-04-10 14:51:55 UTC
*** Bug 233943 has been marked as a duplicate of this bug. ***
Comment 45 Johannes Wienke 2010-04-11 14:40:12 UTC
*** Bug 234042 has been marked as a duplicate of this bug. ***
Comment 46 caulier.gilles 2010-04-12 11:51:15 UTC
*** Bug 234144 has been marked as a duplicate of this bug. ***
Comment 47 caulier.gilles 2010-04-21 13:58:40 UTC
*** Bug 234932 has been marked as a duplicate of this bug. ***
Comment 48 caulier.gilles 2010-04-25 07:31:23 UTC
*** Bug 235249 has been marked as a duplicate of this bug. ***
Comment 49 Johannes Wienke 2010-04-25 23:07:14 UTC
*** Bug 235400 has been marked as a duplicate of this bug. ***
Comment 50 caulier.gilles 2010-04-30 13:22:07 UTC
*** Bug 235583 has been marked as a duplicate of this bug. ***
Comment 51 Johannes Wienke 2010-05-08 18:38:03 UTC
*** Bug 236880 has been marked as a duplicate of this bug. ***
Comment 52 Johannes Wienke 2010-05-14 15:52:21 UTC
*** Bug 237625 has been marked as a duplicate of this bug. ***
Comment 53 caulier.gilles 2010-05-17 09:27:37 UTC
*** Bug 237896 has been marked as a duplicate of this bug. ***
Comment 54 Johannes Wienke 2010-06-02 10:02:33 UTC
*** Bug 240415 has been marked as a duplicate of this bug. ***
Comment 55 caulier.gilles 2010-06-14 06:07:34 UTC
*** Bug 241696 has been marked as a duplicate of this bug. ***
Comment 56 Johannes Wienke 2010-07-19 00:05:10 UTC
*** Bug 245081 has been marked as a duplicate of this bug. ***
Comment 57 Johannes Wienke 2010-08-02 10:09:34 UTC
*** Bug 246478 has been marked as a duplicate of this bug. ***
Comment 58 Johannes Wienke 2010-08-07 09:49:46 UTC
*** Bug 246963 has been marked as a duplicate of this bug. ***
Comment 59 caulier.gilles 2010-10-06 10:27:55 UTC
*** Bug 234181 has been marked as a duplicate of this bug. ***
Comment 60 caulier.gilles 2010-10-06 11:53:27 UTC
*** Bug 243454 has been marked as a duplicate of this bug. ***
Comment 61 caulier.gilles 2010-10-06 15:09:51 UTC
*** Bug 252436 has been marked as a duplicate of this bug. ***
Comment 62 caulier.gilles 2010-10-23 18:33:47 UTC
*** Bug 255054 has been marked as a duplicate of this bug. ***
Comment 63 BartiXN 2010-10-24 03:16:04 UTC
Mis disculpas, producto de los contantes bugs, dejé de usar kubuntu.

 Reinaldo Mendoza O.


REFLEXIÓN:

"No hay peor daño que el tiempo perdido" M.Angel




________________________________
De: Gilles Caulier <caulier.gilles@gmail.com>
Para: rmendozao@yahoo.com
Enviado: sáb, octubre 23, 2010 1:33:52 PM
Asunto: [Bug 222974] Digikam crashes while overwriting file 
[QString::operator==, KDirWatchPrivate::Entry::findSubEntry, 
KDirWatchPrivate::inotifyEventReceived]

https://bugs.kde.org/show_bug.cgi?id=222974


Gilles Caulier <caulier.gilles@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |gareth.glaccum@btopenworld.
                   |                            |com




--- Comment #62 from Gilles Caulier <caulier gilles gmail com>  2010-10-23 
18:33:47 ---
*** Bug 255054 has been marked as a duplicate of this bug. ***
Comment 64 caulier.gilles 2010-10-31 13:24:34 UTC
*** Bug 255679 has been marked as a duplicate of this bug. ***
Comment 65 caulier.gilles 2010-11-01 17:02:25 UTC
*** Bug 255817 has been marked as a duplicate of this bug. ***
Comment 66 caulier.gilles 2010-11-14 10:38:07 UTC
*** Bug 256867 has been marked as a duplicate of this bug. ***
Comment 67 caulier.gilles 2011-01-16 20:39:52 UTC
*** Bug 263355 has been marked as a duplicate of this bug. ***
Comment 68 caulier.gilles 2015-09-19 21:18:27 UTC
*** Bug 352919 has been marked as a duplicate of this bug. ***